[2.1.51] "No updates available" when trying to install add-on

Anki just says “No updates available” whenever I try to install any add-on, even those that are compatible with 2.1.51.

This happens in Qt5, as well as Qt6.
I have not observed this in 2.1.49.

I’ve tried several AUR packages such as anki, anki-qt6 and anki-bin. They all seemed to have that problem. Unfortunately, I haven’t had the time to figure out how to install the official .tar.zst package yet but I wanted to ask if this is a known problem.

  • Anki
    • Version ⁨2.1.51 (cf78a555)⁩
    • Python 3.10.4 Qt 6.3.0 PyQt 6.3.0.
    • Version ⁨2.1.51 (ee1e2ae8)⁩
    • Python 3.10.4 Qt 5.15.2 PyQt 5.15.6
  • Arch Linux
  • KDE Plasma
  • Wayland
  • Nvidia proprietary drivers

I’ve narrowed it down. It seems my “Migaku Kanji GOD” plugin causes this. When I disable it, the issue goes away. I’ll report it to them. Sorry!

3 Likes